function [CP] = picking(im_file)
% Simple picking for Bezier curve creation
%im_file = 'example_courbe.png') ;
    image = imread(im_file) ;
    figure(1)
    clf 
    imshow(image) ;
    hold on

    CP = [] ;
    ncp = 0 ;
    prompt = 'n (next value) / q (quit) / i (delete ith point)';
    in = input(prompt,'s') ;
    while(in ~= 'q')
        if(in == 'n')
            [x,y] = ginput(1) ;
            x = round(x) ;
            y = round(y) ;
            CP = [CP , [x;y]] ;
            ncp=ncp+1 ;
        elseif(~isnan(str2double(in)))
            i = str2num(in) ;
            CP = [CP(:,1:i-1),CP(:,i+1:ncp)] ;
            ncp = ncp-1 ;
            plot_scene(image, CP) ;
        end
        new_CP(CP) ;
        in = input(prompt,'s') ;
    end
end

function [] = plot_scene(image, CP) 
    figure(1)
    clf 
    imshow(image) ;
    hold on
    plot(CP(1,:),CP(2,:), '.k') ;
    ncp = size(CP,2);
    for i=1:ncp
        tmp = int2str(i) ;
        text(CP(1,i)-5,CP(2,i)+10,tmp,'Color', 'black');
    end
end

function [] = new_CP(CP) 
    
    ncp = size(CP,2);
    plot(CP(1,ncp),CP(2,ncp), '.r') ;
    tmp = int2str(ncp) ;
    text(CP(1,ncp)-5,CP(2,ncp)+10,tmp,'Color', 'black');
end